<template>
  <drawer
    :showDrawer="this.showDrawer"
    :size="'40%'"
    :title="'Cadastrar'"
    :description="'Cadastro de um novo usuário do sistema'"
    @emit-drawer-closed="handleCloseDrawer"
  >
    <div class="row form-group">
      <label class="col-4">Plano</label>
      <input
        type="text"
        class="col-8 form-control"
        v-model="form.user_username"
      />
    </div>
    <div class="row form-group">
      <label class="col-4">Início do Plano</label>
      <div class="col-8">
        <div class="row">
          <div class="col pl-0 pr-2">
            <a-select default-value="Janeiro" class="w-100">
              <a-select-option value="Janeiro">
                Janeiro
              </a-select-option>
              <a-select-option value="Fevereiro">
                Fevereiro
              </a-select-option>
              <a-select-option value="Março">
                Março
              </a-select-option>
              <a-select-option value="Abril">
                Abril
              </a-select-option>
              <a-select-option value="Maio">
                Maio
              </a-select-option>
              <a-select-option value="Junho">
                Junho
              </a-select-option>
              <a-select-option value="Julho">
                Julho
              </a-select-option>
              <a-select-option value="Agosto">
                Agosto
              </a-select-option>
              <a-select-option value="Setembro">
                Setembro
              </a-select-option>
              <a-select-option value="Outubro">
                Outubro
              </a-select-option>
              <a-select-option value="Novembro">
                Novembro
              </a-select-option>
              <a-select-option value="Dezembro">
                Dezembro
              </a-select-option>
            </a-select>
          </div>
          <div class="col pl-2 pr-0">
            <a-select default-value="2020" class="w-100">
              <a-select-option value="2020">
                2020
              </a-select-option>
              <a-select-option value="2021">
                2021
              </a-select-option>
              <a-select-option value="2022">
                2022
              </a-select-option>
              <a-select-option value="2023">
                2023
              </a-select-option>
              <a-select-option value="2024">
                2024
              </a-select-option>
              <a-select-option value="2025">
                2025
              </a-select-option>
            </a-select>
          </div>
        </div>
      </div>
    </div>
    <div class="row form-group">
      <label class="col-4">Início do Plano</label>
      <div class="col-8">
        <div class="row">
          <div class="col pl-0 pr-2">
            <a-select default-value="Janeiro" class="w-100">
              <a-select-option value="Janeiro">
                Janeiro
              </a-select-option>
              <a-select-option value="Fevereiro">
                Fevereiro
              </a-select-option>
              <a-select-option value="Março">
                Março
              </a-select-option>
              <a-select-option value="Abril">
                Abril
              </a-select-option>
              <a-select-option value="Maio">
                Maio
              </a-select-option>
              <a-select-option value="Junho">
                Junho
              </a-select-option>
              <a-select-option value="Julho">
                Julho
              </a-select-option>
              <a-select-option value="Agosto">
                Agosto
              </a-select-option>
              <a-select-option value="Setembro">
                Setembro
              </a-select-option>
              <a-select-option value="Outubro">
                Outubro
              </a-select-option>
              <a-select-option value="Novembro">
                Novembro
              </a-select-option>
              <a-select-option value="Dezembro">
                Dezembro
              </a-select-option>
            </a-select>
          </div>
          <div class="col pl-2 pr-0">
            <a-select default-value="2020" class="w-100">
              <a-select-option value="2020">
                2020
              </a-select-option>
              <a-select-option value="2021">
                2021
              </a-select-option>
              <a-select-option value="2022">
                2022
              </a-select-option>
              <a-select-option value="2023">
                2023
              </a-select-option>
              <a-select-option value="2024">
                2024
              </a-select-option>
              <a-select-option value="2025">
                2025
              </a-select-option>
            </a-select>
          </div>
        </div>
      </div>
    </div>
    <div class="row form-group">
      <label class="col-4">Temporalidade do Ciclo</label>
      <div class="col-8 pl-0 pr-0">
        <a-select default-value="Mensal" class="w-100">
          <a-select-option value="Semanal" disabled>
            Semanal
          </a-select-option>
          <a-select-option value="Quinzenal" disabled>
            Quinzenal
          </a-select-option>
          <a-select-option value="Mensal">
            Mensal
          </a-select-option>
          <a-select-option value="Trimestral" disabled>
            Trimestral
          </a-select-option>
        </a-select>
      </div>
    </div>
    <div
      :style="{
        position: 'absolute',
        right: 0,
        bottom: 0,
        width: '100%',
        borderTop: '1px solid #e9e9e9',
        padding: '10px 16px',
        background: '#fff',
        textAlign: 'center',
        zIndex: 1,
      }"
    >
      <a-button :style="{ marginRight: '8px' }" @click="handleCloseDrawer"
        >Cancelar</a-button
      >
      <a-button type="primary">Cadastrar</a-button>
    </div>
  </drawer>
</template>

<script>
import Plan from '@/model/plan/plan'
import Drawer from '@/components/generic-components/drawer/drawer'
export default {
  props: ['plan', 'showDrawer'],
  components: {
    Drawer,
  },
  data() {
    return {
      form: new Plan(),
    }
  },
  watch: {
    plan: function(newPlan) {
      this.form = newPlan
    },
  },
  methods: {
    handleCloseDrawer() {
      this.form = new Plan()
      this.$emit('emit-close-drawer', false)
    },
  },
}
</script>
